Name:           perl-Test-Deep
Version:        0.095
Release:        1%{?dist}
Summary:        Extremely flexible deep comparison
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Deep/
Source0:        http://www.cpan.org/authors/id/F/FD/FDALY/Test-Deep-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Test::NoWarnings) >= 0.02
BuildRequires:  perl(Test::Tester) >= 0.04
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Test::Deep gives you very flexible ways to check that the result you
got is the result you were expecting. At it's simplest it compares two
structures by going through each level, ensuring that the values
match, that arrays and hashes have the same elements and that
references are blessed into the correct class. It also handles
circular data structures without getting caught in an infinite loop.

%prep
%setup -q -n Test-Deep-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 21 2006 Steven Pritchard <steve@kspei.com> 0.095-1
- Update to 0.095.

* Sat Apr 08 2006 Steven Pritchard <steve@kspei.com> 0.093-1
- Specfile autogenerated by cpanspec 1.64.
- Improve description.
- Fix License.
- Remove explicit dependency on Test::Tester and Test::NoWarnings.
